Index: NEMO/branches/2021/dev_r14383_PISCES_NEWDEV_PISCO/src/TOP/PISCES/trcini_pisces.F90
===================================================================
--- NEMO/branches/2021/dev_r14383_PISCES_NEWDEV_PISCO/src/TOP/PISCES/trcini_pisces.F90	(revision 14384)
+++ NEMO/branches/2021/dev_r14383_PISCES_NEWDEV_PISCO/src/TOP/PISCES/trcini_pisces.F90	(revision 14385)
@@ -3,4 +3,5 @@
    !!                         ***  MODULE trcini_pisces  ***
    !! TOP :   initialisation of the PISCES biochemical model
+   !!         This module is for LOBSTER, PISCES and PISCES-QUOTA
    !!======================================================================
    !! History :    -   !  1988-07  (E. Maier-Reiner) Original code
@@ -37,7 +38,9 @@
       !!
       !! ** Purpose :   Initialisation of the PISCES biochemical model
+      !!                Allocation of the dynamic arrays
       !!----------------------------------------------------------------------
       INTEGER, INTENT(in)  ::  Kmm      ! time level indices
       !
+      ! Read the PISCES namelist
       CALL trc_nam_pisces
       !
@@ -55,5 +58,5 @@
       !! ** Purpose :   Initialisation of the PISCES biochemical model
       !!----------------------------------------------------------------------
-      USE p4zsms          ! Main P4Z routine
+      USE p4zsms          !  Main P4Z routine
       USE p4zche          !  Chemical model
       USE p4zsink         !  vertical flux of particulate matter due to sinking
@@ -72,9 +75,9 @@
       USE p4zpoc          !  Remineralization of organic particles
       USE p4zligand       !  Remineralization of organic ligands
-      USE p5zlim          !  Co-limitations of differents nutrients
-      USE p5zprod         !  Growth rate of the 2 phyto groups
-      USE p5zmicro        !  Sources and sinks of microzooplankton
-      USE p5zmeso         !  Sources and sinks of mesozooplankton
-      USE p5zmort         !  Mortality terms for phytoplankton
+      USE p5zlim          !  Co-limitations of differents nutrients (QUOTA)
+      USE p5zprod         !  Growth rate of the 3 phyto groups (QUOTA)
+      USE p5zmicro        !  Sources and sinks of microzooplankton (QUOTA)
+      USE p5zmeso         !  Sources and sinks of mesozooplankton (QUOTA)
+      USE p5zmort         !  Mortality terms for phytoplankton (QUOTA)
       !
       INTEGER, INTENT(in)  ::  Kmm      ! time level indices
@@ -115,8 +118,12 @@
       ierr = ierr +  p4z_lim_alloc()
       IF( ln_p4z ) THEN
+         ! PISCES part
          ierr = ierr +  p4z_prod_alloc()
+         ierr = ierr +  p4z_meso_alloc()
       ELSE
+         ! PISCES-QUOTA part
          ierr = ierr +  p5z_lim_alloc()
          ierr = ierr +  p5z_prod_alloc()
+         ierr = ierr +  p5z_meso_alloc()
       ENDIF
       ierr = ierr +  p4z_rem_alloc()
@@ -130,4 +137,5 @@
 
       ! assign an index in trc arrays for each prognostic variables
+      ! This is based on the information read in the namelist_top
       DO jn = 1, jptra
         cltra = ctrcnm(jn) 
@@ -179,13 +187,13 @@
       ! Set biological ratios
       ! ---------------------
-      rno3    =  16._wp / 122._wp
-      po4r    =   1._wp / 122._wp
-      o2nit   =  32._wp / 122._wp
-      o2ut    = 133._wp / 122._wp
-      rdenit  =  ( ( o2ut + o2nit ) * 0.80 - rno3 - rno3 * 0.60 ) / rno3
-      rdenita =   3._wp /  5._wp
+      rno3    =  16._wp / 122._wp   ! C/N
+      po4r    =   1._wp / 122._wp   ! C/P
+      o2nit   =  32._wp / 122._wp   ! O2/C for nitrification
+      o2ut    = 133._wp / 122._wp   ! O2/C for ammonification
+      rdenit  =  ( ( o2ut + o2nit ) * 0.80 - rno3 - rno3 * 0.60 ) / rno3  ! Denitrification
+      rdenita =   3._wp /  5._wp    ! Denitrification
       IF( ln_p5z ) THEN
-         no3rat3 = no3rat3 / rno3
-         po4rat3 = po4rat3 / po4r
+         no3rat3 = no3rat3 / rno3   ! C/N ratio in zooplankton
+         po4rat3 = po4rat3 / po4r   ! C/P ratio in zooplankton
       ENDIF
 
@@ -249,10 +257,15 @@
 
 
+      ! Initialization of the different PISCES modules
+      ! Mainly corresponds to the namelist use
+      ! ----------------------------------------------
       CALL p4z_sink_init         !  vertical flux of particulate organic matter
       CALL p4z_opt_init          !  Optic: PAR in the water column
       IF( ln_p4z ) THEN
+         ! PISCES part
          CALL p4z_lim_init       !  co-limitations by the various nutrients
          CALL p4z_prod_init      !  phytoplankton growth rate over the global ocean.
       ELSE
+         ! PISCES-QUOTA part
          CALL p5z_lim_init       !  co-limitations by the various nutrients
          CALL p5z_prod_init      !  phytoplankton growth rate over the global ocean.
@@ -265,9 +278,9 @@
          & CALL p4z_ligand_init  !  remineralisation of organic ligands
 
-      IF( ln_p4z ) THEN
+      IF( ln_p4z ) THEN ! PISCES-std
          CALL p4z_mort_init      !  phytoplankton mortality 
          CALL p4z_micro_init     !  microzooplankton
          CALL p4z_meso_init      !  mesozooplankton
-      ELSE
+      ELSE ! PISCES-QUOTA
          CALL p5z_mort_init      !  phytoplankton mortality 
          CALL p5z_micro_init     !  microzooplankton
